Loading...
Searching...
No Matches
BALL::VIEW::MolecularTaskMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::MolecularTaskMessage:

## Public Types

enum | MolecularTaskMessageType { UNDEFINED = -1 , BUILD_BONDS , CHECK_RESIDUE , ADD_HYDROGENS , CREATE_DISTANCE_GRID }
| Enum for the different molecular tasks. More...

## Public Member Functions

| MolecularTaskMessage (MolecularTaskMessageType type=UNDEFINED)
void | setType (MolecularTaskMessageType type)
MolecularTaskMessageType | getType () const
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Protected Attributes

MolecularTaskMessageType | type_

## Detailed Description

Message to perform specific tasks for molecular items.

  Send by MolecularControl to MolecularProperties.

Definition at line 638 of file message.h.

## Member Enumeration Documentation

## MolecularTaskMessageType

enum BALL::VIEW::MolecularTaskMessage::MolecularTaskMessageType

Enum for the different molecular tasks.

Enumerator
UNDEFINED |
BUILD_BONDS |
CHECK_RESIDUE |
ADD_HYDROGENS |
CREATE_DISTANCE_GRID |

Definition at line 644 of file message.h.

## Constructor & Destructor Documentation

## MolecularTaskMessage()

BALL::VIEW::MolecularTaskMessage::MolecularTaskMessage | ( | MolecularTaskMessageType | type = UNDEFINED | ) |

## Member Function Documentation

## getType()

MolecularTaskMessageType BALL::VIEW::MolecularTaskMessage::getType | ( |  | ) | const

inline

Definition at line 665 of file message.h.

## setType()

void BALL::VIEW::MolecularTaskMessage::setType | ( | MolecularTaskMessageType | type | ) |

## Member Data Documentation

## type_

MolecularTaskMessageType BALL::VIEW::MolecularTaskMessage::type_

protected

Definition at line 670 of file message.h.